> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Organization

> Get an organization by ID, including email domains.



## OpenAPI

````yaml /openapi-v1.json get /api/v1/organizations/{org_id}
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/organizations/{org_id}:
    get:
      tags:
        - Organizations
      summary: Get Organization
      description: Get an organization by ID, including email domains.
      operationId: core_api_v1_controllers_organizations_get_organization
      parameters:
        - in: path
          name: org_id
          schema:
            title: Org Id
            type: string
          required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganizationDetailOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    OrganizationDetailOut:
      properties:
        object:
          default: organization
          title: Object
          type: string
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        is_system:
          default: false
          title: Is System
          type: boolean
        user_count:
          default: 0
          title: User Count
          type: integer
        conversation_count:
          default: 0
          title: Conversation Count
          type: integer
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
        email_domains:
          default: []
          items:
            $ref: '#/components/schemas/EmailDomainOut'
          title: Email Domains
          type: array
      required:
        - id
        - name
      title: OrganizationDetailOut
      type: object
    EmailDomainOut:
      properties:
        object:
          default: email_domain
          title: Object
          type: string
        id:
          title: Id
          type: string
        domain:
          title: Domain
          type: string
        is_primary:
          default: false
          title: Is Primary
          type: boolean
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
      required:
        - id
        - domain
      title: EmailDomainOut
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````